FreeMat

- Main Page
- Related Pages

vtkVertexDegree

Section: Visualization Toolkit Infovis Classes

# Usage

Adds an attribute array with the degree of each vertex. By default the name of the array will be "VertexDegree", but that can be changed by calling SetOutputArrayName("foo");

To create an instance of class vtkVertexDegree, simply invoke its constructor as follows

      obj = vtkVertexDegree

# Methods

The class vtkVertexDegree has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkVertexDegree class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkVertexDegree = obj.NewInstance ()`
- `vtkVertexDegree = obj.SafeDownCast (vtkObject o)`
- `obj.SetOutputArrayName (string )` - Set the output array name. If no output array name is set then the name 'VertexDegree' is used.